package com.hzya.frame.plugin.c4project.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.plugin.c4project.dao.IC4ProjectDao;
import com.hzya.frame.plugin.c4project.entity.C4ProjectEntity;

import java.util.List;

public class C4ProjectDaoImpl extends MybatisGenericDao<C4ProjectEntity,String> implements IC4ProjectDao {
    @DS("#entity.dataSourceCode")
    @Override
    public List<C4ProjectEntity> queryProjectToC4(C4ProjectEntity entity) {
        return (List<C4ProjectEntity>) super.selectList("queryProjectToC4",entity);
    }

    @DS("#entity.dataSourceCode")
    @Override
    public Integer saveC4Project(C4ProjectEntity entity) {
        return super.insert("saveC4Project",entity);
    }
}
