package com.hzya.frame.plugin.projectMainFlow.dao;

import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.plugin.projectMainFlow.entity.ProjectMainFlowEntity;

import java.util.List;

public interface IProjectMainFlowDao extends IBaseDao<ProjectMainFlowEntity,String> {
    
    /**
     * 
     * @content 查询审定完成节点得项目主流程档案
     * @Param 
     * @Return 
     * @Author hecan 
     * @Date 2025-01-06 16:50
     * **/
    List<ProjectMainFlowEntity> queryProjectMainFlowAudit(ProjectMainFlowEntity projectMainFlowEntity);

    /**
     *
     * @content 查询归档节点得项目主流程档案
     * @Param
     * @Return
     * @Author hecan
     * @Date 2025-01-06 16:50
     * **/
    List<ProjectMainFlowEntity> queryProjectMainFlowArchivist(ProjectMainFlowEntity projectMainFlowEntity);

    /**
     *
     * @content 更新项目主流程审定和归档推送标识和结果
     * @Param
     * @Return
     * @Author hecan
     * @Date 2025-01-08 11:48
     * **/
    Integer updateProjectMainFlow(ProjectMainFlowEntity projectMainFlowEntity);



}
