package com.hzya.frame.plugin.salesContract.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.plugin.salesContract.dao.ISalesContractDao;
import com.hzya.frame.plugin.salesContract.entity.SalesContractEntity;

import java.util.List;

public class SalesContractDaoImpl extends MybatisGenericDao<SalesContractEntity,String> implements ISalesContractDao {
    @DS("#entity.dataSourceCode")
    @Override
    public List<SalesContractEntity> querySalesContract(SalesContractEntity entity) {
        return (List<SalesContractEntity>) super.selectList("querySalesContract",entity);
    }

    @DS("#entity.dataSourceCode")
    @Override
    public Integer updateSalesContract(SalesContractEntity entity) {
        return super.update("updateSalesContract",entity);
    }

    @DS("#entity.dataSourceCode")
    @Override
    public List<SalesContractEntity> queryContractAnnexFile(SalesContractEntity entity) {
        return (List<SalesContractEntity>) super.selectList("queryContractAnnexFile",entity);
    }

    @DS("#entity.dataSourceCode")
    @Override
    public List<SalesContractEntity> queryIPOAnnexFile(SalesContractEntity entity) {
        return (List<SalesContractEntity>) super.selectList("queryIPOAnnexFile",entity);
    }

    @DS("#entity.dataSourceCode")
    @Override
    public Integer updateAnnexFile(SalesContractEntity entity) {
        return super.update("updateAnnexFile",entity);
    }
}
