package com.hzya.frame.seeyon.paybill.service;

import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.basedao.service.IBaseService;
import com.hzya.frame.seeyon.cbs8.entity.PaymentEntity;
import com.hzya.frame.seeyon.paybill.entity.PayBillEntity;
import com.hzya.frame.web.entity.JsonResultEntity;

import java.util.List;

/**
 *
 * @content huoqu
 * @author laborer获取OA付款单数据并推送BIP生成付款结算单
 * @date 2024/6/20 0020 11:19
 *
 */

public interface IPayBillService extends IBaseService<PaymentEntity,String> {
/**
 *
 * @content 工程付款单数据同步BIP
 * @author laborer
 * @date 2024/6/20 0020 11:24
 *
 */
JsonResultEntity sendEngineerPayBillToBip(JSONObject requestJson);
/**
 *
 * @content 推送保证金付款到BIP
 * @param requestJson
 * @return JsonResultEntity
 * @author laborer
 * @className: Administrator
 * @author laborer
 * @date 2025-01-07 9:39
 *
 */

    JsonResultEntity sendMarginPaymentToBip(JSONObject requestJson);
/**
 *
 * @content 保证金付流程结束更新付款状态
 * @className: Administrator
 * @author laborer
 * @date 2025-01-08 10:18
 *
 */

    JsonResultEntity sendReceivedToBip(JSONObject requestJson);
/**
 *
 * @content 付款申请单SW-D同步更新BIP
 * @className: Administrator
 * @author laborer
 * @date 2025-04-17 9:09
 *
 */

    JsonResultEntity sendPayReceivedToBip(JSONObject requestJson);
}
