package com.hzya.frame.plugin.c4project.dao;

import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.plugin.c4project.entity.C4ProjectEntity;

import java.util.List;

public interface IC4ProjectDao extends IBaseDao<C4ProjectEntity,String> {

    /**
     *
     * @content 查询研发项目立项数据推送C4项目档案
     * @Param
     * @Return
     * @Author hecan
     * @Date 2025-05-14 11:48
     * **/
    List<C4ProjectEntity> queryProjectToC4(C4ProjectEntity entity);

    /**
     *
     * @content 新增数据到C4项目档案
     * @Param
     * @Return
     * @Author hecan
     * @Date 2025-05-14 11:53
     * **/
    Integer saveC4Project(C4ProjectEntity entity);
}
