package com.hzya.frame.plugin.projectMainFlow.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.plugin.projectMainFlow.dao.IProjectMainFlowDao;
import com.hzya.frame.plugin.projectMainFlow.entity.ProjectMainFlowEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

public class ProjectMainFlowDaoImpl extends MybatisGenericDao<ProjectMainFlowEntity,String> implements IProjectMainFlowDao {
    @DS("#entity.dataSourceCode")
    @Override
    public List<ProjectMainFlowEntity> queryProjectMainFlowAudit(ProjectMainFlowEntity entity) {
        return (List<ProjectMainFlowEntity>)super.selectList("queryProjectMainFlowAudit",entity);
    }

    @DS("#entity.dataSourceCode")
    @Override
    public List<ProjectMainFlowEntity> queryProjectMainFlowArchivist(ProjectMainFlowEntity entity) {
        return (List<ProjectMainFlowEntity>)super.selectList("queryProjectMainFlowArchivist",entity);
    }

    @DS("#entity.dataSourceCode")
    @Override
    public Integer updateProjectMainFlow(ProjectMainFlowEntity entity) {
        return super.update("updateProjectMainFlow",entity);
    }

}
