package com.hzya.frame.sysnew.comparison.serviceData.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sysnew.comparison.serviceData.dao.ICtpAttachmentDao;
import com.hzya.frame.sysnew.comparison.serviceData.dao.IServiceDataDao;
import com.hzya.frame.sysnew.comparison.serviceData.entity.CtpAttachmentEntity;
import org.springframework.stereotype.Repository;

@Repository(value = "CtpAttachmentDaoImpl")
public class CtpAttachmentDaoImpl  extends MybatisGenericDao<CtpAttachmentEntity,String> implements ICtpAttachmentDao {
    @DS("#entity.dataSourceCode")
    @Override
    public CtpAttachmentEntity queryCtpAttachmentEntity(CtpAttachmentEntity entity) {
        return (CtpAttachmentEntity) super.selectOne("queryCtpAttachmentEntity",entity);
    }

    @DS("#entity.dataSourceCode")
    @Override
    public CtpAttachmentEntity saveCtpAttachmentEntity(CtpAttachmentEntity entity) {
        return super.save("saveCtpAttachmentEntity",entity);
    }

    @DS("#entity.dataSourceCode")
    @Override
    public Integer updateCtpAttachmentEntity(CtpAttachmentEntity entity) {
        return super.update("updateCtpAttachmentEntity",entity);
    }
}
